Author Topic: ERROR PAYPAL STANDAR EN VERSION 1.1.5  (Read 9943 times)

Offline eliastel

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
    • View Profile
ERROR PAYPAL STANDAR EN VERSION 1.1.5
« on: June 03, 2013, 04:30:51 AM »
Hola he actualizado mi abantecart  de 1.1.4 a 1.1.5 el metodo de pago paypal standar me sale error al confirmar el pedido. el error es este.  El vínculo que utilizó para ingresar al sistema PayPal contiene un importe de artículo con formato incorrecto.

he probado con nueva instalacion tambien sale lo mismo. la misma cuenta en la version 1.4 funciona todo bien sin problemas. espero que aregleis gracias...

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4252
  • Karma: +278/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #1 on: June 03, 2013, 08:15:42 AM »
This is English forum only. Can you please come back with English post. Thanks
Please  rate your experience or leave your review
We need your help to build better free open source ecommerce platform for everyone. See how you can help

Offline jesus_automatic

  • Jr. Member
  • **
  • Posts: 75
  • Karma: +5/-0
    • View Profile
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #2 on: June 26, 2013, 03:59:25 PM »
I have the same problem as eliastel, and I speak spanish. The problem is that after upgrading from 1.1.4 to 1.1.5 as payments are submitted to paypal it comes up with an error
"The link you have used to enter the PayPal system contains an incorrectly formatted item amount."

It was ok In 1.1.4
Any ideas?

Offline andrew.mikhailyk

  • Newbie
  • *
  • Posts: 25
  • Karma: +5/-0
    • View Profile
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #3 on: June 27, 2013, 08:44:41 AM »
Hello!
This bug is fixed in AbanteCart 1.1.6.
But if you don't want to wait for release I'll give you fixed file that you have to upload at your server.
Unzip this archive into your AbanteCart folder (there will be admin, core, storefront, extensions and other folders).

P.S.: AbanteCart version must be 1.1.5!

Offline jesus_automatic

  • Jr. Member
  • **
  • Posts: 75
  • Karma: +5/-0
    • View Profile
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #4 on: June 27, 2013, 08:47:00 AM »
Thanks, Ill give it a go. Any idea of release date for 1.1.6

Offline jesus_automatic

  • Jr. Member
  • **
  • Posts: 75
  • Karma: +5/-0
    • View Profile
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #5 on: June 27, 2013, 11:09:01 AM »
Uploaded the new file to server. Uninstalled and reinstalled extension and problem still the same

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4252
  • Karma: +278/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #6 on: June 27, 2013, 01:48:53 PM »
Thanks, Ill give it a go. Any idea of release date for 1.1.6

Release will be next week
Please  rate your experience or leave your review
We need your help to build better free open source ecommerce platform for everyone. See how you can help

Offline jesus_automatic

  • Jr. Member
  • **
  • Posts: 75
  • Karma: +5/-0
    • View Profile
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #7 on: June 28, 2013, 10:07:47 AM »
I 'rested' it overnight and it seems to go through now ok.

My next problem.
Paypal doesn't give an option to pay with a credit card. I spoke to them and they say I need to include an API signature in my end. Paypal standard extension doesn't have this facility. Paypal Pro does though. I only have a Standard business account with them. I tried it anyway. It comes up with a security error. Presumably because it wants to take credit card details on my site, and I'm not geared up for that.

Any ideas? I dont know which way to turn

Offline jesus_automatic

  • Jr. Member
  • **
  • Posts: 75
  • Karma: +5/-0
    • View Profile
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #8 on: June 28, 2013, 11:09:18 AM »
I have it sort of solved.
Paypal Standard
In sandbox mode(Test) pay with credit card option doesnt show.
In live mode it does.
Having a test mode where you cant test half the features seems a bit pointless. But at least it seems to work Live.

Offline abantecart

  • Administrator
  • Hero Member
  • *****
  • Posts: 4252
  • Karma: +278/-9
    • View Profile
    • Ideal Open Source Ecommerce Solution
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #9 on: June 28, 2013, 01:30:03 PM »
I will check, but I bet this is PayPal that restricts this.
Please  rate your experience or leave your review
We need your help to build better free open source ecommerce platform for everyone. See how you can help

Offline TonyWood

  • Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
    • View Profile
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #10 on: July 05, 2013, 01:21:57 PM »
Hi I have just updated the Standard Paypal extension using the .rar file found in this thread. It has fixed the amount issue but the back button is not formatted correctly...how would I go about fixing it ?

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1840
  • Karma: +277/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #11 on: July 08, 2013, 04:47:49 PM »
Hi I have just updated the Standard Paypal extension using the .rar file found in this thread. It has fixed the amount issue but the back button is not formatted correctly...how would I go about fixing it ?

hi.
try to add (or replace) file public_html/extensions/default_pp_standart/storefront/view/default_html5/template/responses/default_pp_standart.tpl
from attachment. if directory default_html5 is not exists - create it.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline jesus_automatic

  • Jr. Member
  • **
  • Posts: 75
  • Karma: +5/-0
    • View Profile
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #12 on: July 18, 2013, 09:53:10 AM »
I have the same issue with buttons not displaying correctly since loading updated paypal extension. I  posted at http://forum.abantecart.com/index.php/topic,872.msg3268.html#msg3268 but had no response.
I tried putting the .tpl in html5 folder as above but no difference.
And in all the messing around paypal wont take credit cards again!

Oh ye gods and little fishes.

Offline sneeks

  • Newbie
  • *
  • Posts: 4
  • Karma: +1/-0
    • View Profile
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #13 on: July 24, 2013, 08:26:52 AM »
Hi, I am running v1.1.6 but have the issue originally mentioned here "The link you have used to enter the PayPal system contains an incorrectly formatted item amount." Any suggestions on how to correct this? The Paypal extension is listed as Version: 1.0.1

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1840
  • Karma: +277/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: ERROR PAYPAL STANDAR EN VERSION 1.1.5
« Reply #14 on: July 24, 2013, 12:44:40 PM »
Hi, I am running v1.1.6 but have the issue originally mentioned here "The link you have used to enter the PayPal system contains an incorrectly formatted item amount." Any suggestions on how to correct this? The Paypal extension is listed as Version: 1.0.1

what currency do you used?
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

 

Powered by SMFPacks Social Login Mod